<!--
  - Pfarrplaner
  -
  - @package Pfarrplaner
  - @author Christoph Fischer <chris@toph.de>
  - @copyright (c) Christoph Fischer, https://christoph-fischer.org
  - @license https://www.gnu.org/licenses/gpl-3.0.txt GPL 3.0 or later
  - @link https://codeberg.org/pfarr.tools/pfarrplaner
  - @version git: $Id$
  -
  - Sponsored by: Evangelischer Kirchenbezirk Balingen, https://www.kirchenbezirk-balingen.de
  -
  - Pfarrplaner is based on the Laravel framework (https://laravel.com).
  - This file may contain code created by Laravel's scaffolding functions.
  -
  - This program is free software: you can redistribute it and/or modify
  - it under the terms of the GNU General Public License as published by
  - the Free Software Foundation, either version 3 of the License, or
  - (at your option) any later version.
  -
  - This program is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  - GNU General Public License for more details.
  -
  - You should have received a copy of the GNU General Public License
  - along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<template>
    <div class="button-row no-print btn-toolbar" role="toolbar">
        <div class="btn-group me-2" role="group">
            <inertia-link class="btn btn-default"
                          v-if="numericDate > 201801"
                          :href="route('absences.index', { year: moment(date).subtract(1, 'months').format('YYYY'), month: moment(date).subtract(1, 'months').format('MM') })"
                          title="Einen Monat zurück">
                <span class="mdi mdi-chevron-left"></span>
            </inertia-link>
            <inertia-link class="btn btn-default"
                          :href="route('absences.index', { year: new Date().getFullYear(), month: new Date().getMonth()+1 })"
                          title="Gehe zum aktuellen Monat">
                <span class="mdi mdi-calendar-today"></span><span class="d-none d-md-inline"> Gehe zu Heute </span>
            </inertia-link>

            <!-- TODO month / year dropdown -->
            <div class="btn-group" role="group">
                <button id="btnGroupDrop1" type="button" class="btn btn-default dropdown-toggle"
                        data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {{ moment(date).locale('de-DE').format('MMMM') }}
                </button>
                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                    <inertia-link class="dropdown-item" :href="monthLink(1)">Januar</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(2)">Februar</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(3)">März</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(4)">April</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(5)">Mai</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(6)">Juni</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(7)">Juli</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(8)">August</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(9)">September</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(10)">Oktober</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(11)">November</inertia-link>
                    <inertia-link class="dropdown-item" :href="monthLink(12)">Dezember</inertia-link>
                </div>
            </div>
            <div class="btn-group" role="group">
                <button id="btnGroupDrop2" type="button" class="btn btn-default dropdown-toggle"
                        data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {{ moment(date).format('YYYY') }}
                </button>
                <div class="dropdown-menu" aria-labelledby="btnGroupDrop2">
                    <inertia-link v-for="year in years" class="dropdown-item"
                                  :key="year" :year="year" :href="yearLink(year)">{{ year }}
                    </inertia-link>
                </div>
            </div>


            <inertia-link class="btn btn-default"
                          :href="route('absences.index', { year: moment(date).add(1, 'months').format('YYYY'), month: moment(date).add(1, 'months').format('MM') })"
                          title="Einen Monat weiter">
                <span class="mdi mdi-chevron-right"></span>
            </inertia-link>
        </div>
    </div>

</template>

<script>

export default {
    name: 'AbsenceNav',
    data() {
        return {
            slave: false,
            allColumnsOpen: false,
            numericDate: parseInt(moment(this.date).format('YYYYMM')),
            date: new Date(this.year, this.month-1, 1),
        }
    },
    props: ['years', 'year', 'month'],
    methods: {
        monthLink: function (month) {
            return route('absences.index', {
                year: this.date.getFullYear(), month
            });
        },
        yearLink: function (year) {
            return route('absences.index', {
                year: year, month: this.date.getMonth(),
            });
        },
    }
}
</script>

<style scoped>

</style>
